<_templates Include="trucks">
	<Wheel>
		<Wheel
			Type="Wheels_gaz53_double_paz"
			HardpointOffsetY="-0.15"
			SuspensionMin="-0.25"
			SuspensionStrength="0.022"
			Torque="default"
		/>
	</Wheel>
</_templates>
<Truck>
	<Wheels
		HardpointDefaultY="0.52"
		HardpointDefaultZ="0.72"
	>
		<Wheel _template="Wheel" HardpointX="-5.284" />
		<Wheel _template="Wheel" HardpointX="-5.284" RightSide="true" />
	</Wheels>
	<TruckData RepairsCapacity="400">
		<OcclusionMap HalfSizeZ="1.75" MinX="-6.4" MaxX="1.36" />
		<Constraint _template="TrailerRagdoll" />
		<Camera Center="(-4.0; 0; 0)" />
		<Axles>
			<Axle Frame="Axle" LeftWheel="0" RightWheel="1" />
		</Axles>
	</TruckData>
	<PoweredConstraints>
		<Group Id="foot_push">
			<Constraint Name="Foot" Position="-0.8" TerminalFix="true" />
		</Group>
	</PoweredConstraints>
	<PhysicsModel Mesh="trucks/p_pricep_paz744_gaz51">
		<Body CenterOfMassOffset="(-0.8; -0.6; 0)" Mass="1500">
			<Body
				ForceBodyParams="true"
				Mass="100"
				ModelFrame="BoneOpora_cdt"
				NoFoliageCollisions="true"
			>
				<Constraint
					AxisLocal="(0;1;0)"
					MinLimit="-0.48"
					MaxLimit="0"
					Name="Foot"
					Type="Prismatic"
				>
					<Motor Force="16000" Type="Position" />
				</Constraint>
			</Body>
		</Body>
	</PhysicsModel>
	<ModelAttachments>
		<Ignition>
			<Flare
				Pos="(-6.187; 0.957; 0.743)"
				Size="0.4"
				SizeAtDay="0.15"
				Color="g(134; 82; 41) x 1.5"
			/>
			<Flare
				Color="g(134; 82; 41) x 1.5"
				Pos="(-6.187; 0.957; -0.752)"
				Size="0.4"
				SizeAtDay="0.15"
			/>
		</Ignition>
		<StopSignals>
			<Flare
				Color="g(134; 82; 41) x 1.5"
				Pos="(-6.187; 0.905; 0.745)"
				SizeAtDay="0.22"
				Size="0.22"				
			/>
			<Flare
				Pos="(-6.187; 0.905; -0.75)"
				Color="g(134; 82; 41) x 1.5"
				SizeAtDay="0.22"
				Size="0.22"
			/>
		</StopSignals>
	</ModelAttachments>	
	<GameData GaragePoints="4">
		<WinchSocket Pos="(-1.36; 1.093; 0.0)" />
		<WinchSocket Pos="(-6.164; 0.632; -0.535)" />
		<WinchSocket Pos="(-6.164; 0.652; 0.520)" />
		<RequiredAddon Types="kraz_tractor" />		
		<InstallSocket Offset="(-1.223; 1.058; 0)" Type="paz744" />
	</GameData>
</Truck>
